Skip to main content
GET
List member invitations

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowClient Credentials
Token URL
/oauth/token
Scopes1
read:my_org:member_invitations
List member invitations for organization

Query Parameters

fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields. Note: you cannot filter on ticket_id and this value will only be returned when fields are not filtered.

Required string length: 1 - 255
Pattern: ^(id|organization_id|inviter|invitee|identity_provider_id|created_at|expires_at|roles|invitation_url)(,(id|organization_id|inviter|invitee|identity_provider_id|created_at|expires_at|roles|invitation_url))*$
include_fields
boolean
default:true

Whether specified fields are to be included (true) or excluded (false). Defaults to true

from
string

An optional cursor from which to start the selection (exclusive).

Required string length: 1 - 1000
take
integer
default:50

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
sort
string
default:created_at:-1

Field to sort by. Use field:order where order is 1 for ascending and -1 for descending. Defaults to created_at:-1

Pattern: ^created_at:(1|-1)$
include_totals
boolean
default:false

When true, the response includes a 'total' count of items in the result set (reflecting any active filters), along with a 'total_is_capped' flag. The count is best-effort and capped at 1000; when the true size may be larger, 'total_is_capped' is true and 'total' is a lower bound. Omitted when not requested.

Response

List Members Invitations for an Organization.

next
string

Pagination cursor for the next page of results.

total
integer
read-only

Best-effort count of pending invitations in the result set (reflecting any active filters). Only present when include_totals=true. Capped at 1000.

total_is_capped
boolean
read-only

Whether counting stopped before reaching the true size of the result set. When true, 'total' is a lower bound (the true size is 'total' or greater); when false, 'total' reflects the full result set as counted. Only present when 'total' is present.

invitations
object[]